Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind
Class GuiceBindingVisitorFactory

    java.lang.Object
      com.google.gwt.inject.rebind.GuiceBindingVisitorFactory

    public class GuiceBindingVisitorFactory

extends java.lang.Object

Factory for creating `GuiceBindingVisitor`s. We can't use assisted injection to create this, because one of the arguments is a Key, which makes Guice unhappy.

Constructor Summary
`GuiceBindingVisitorFactory(BindingFactory bindingFactory)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiceBindingVisitorFactory

    @Inject
    public GuiceBindingVisitorFactory(BindingFactory bindingFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD